"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (middleware) {
  return function (WrappedComponent, args) {
    return middleware.reduce(function (acc, m) {
      var wrappedComponent = acc;
      wrappedComponent = m(WrappedComponent, args);
      return wrappedComponent;
    }, WrappedComponent);
  };
};